ExceptionMessages (Apache OpenNLP :: Ext :: UIMA Annotators 3.0.0-M4 API)
Description: declaration: package: opennlp.uima.util, class: ExceptionMessages

Package opennlp.uima.util

# Class ExceptionMessages

java.lang.Object
opennlp.uima.util.ExceptionMessages

public class ExceptionMessages extends Object
This class contains constants for the exception messages in the exception message catalog.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FEATURE_NOT_FOUND`
  `static final String`
  `INVALID_DICTIONARY_FORMAT`
  `static final String`
  `IO_ERROR_DICTIONARY_READING`
  `static final String`
  `IO_ERROR_MODEL_READING`
  `static final String`
  `MESSAGE_CATALOG`
  `static final String`
  `PARAMETER_NOT_FOUND`
  `static final String`
  `TYPE_NOT_FOUND`
  `static final String`
  `WRONG_FEATURE_TYPE`
  `static final String`
  `WRONG_PARAMETER_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExceptionMessages()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MESSAGE_CATALOG

    public static final String MESSAGE_CATALOG
    See Also:
      - Constant Field Values

  - ### IO_ERROR_MODEL_READING

    public static final String IO_ERROR_MODEL_READING
    See Also:
      - Constant Field Values

  - ### IO_ERROR_DICTIONARY_READING

    public static final String IO_ERROR_DICTIONARY_READING
    See Also:
      - Constant Field Values

  - ### INVALID_DICTIONARY_FORMAT

    public static final String INVALID_DICTIONARY_FORMAT
    See Also:
      - Constant Field Values

  - ### PARAMETER_NOT_FOUND

    public static final String PARAMETER_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### WRONG_PARAMETER_TYPE

    public static final String WRONG_PARAMETER_TYPE
    See Also:
      - Constant Field Values

  - ### TYPE_NOT_FOUND

    public static final String TYPE_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### FEATURE_NOT_FOUND

    public static final String FEATURE_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### WRONG_FEATURE_TYPE

    public static final String WRONG_FEATURE_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExceptionMessages

    public ExceptionMessages()